#ifndef _LORA_NET_H_
#define _LORA_NET_H_

#include <Arduino.h>
#include <LoRa_E220.h>

// local includes
#include "lora_messages.h"
#include "defaults.h"
#include "config.h"
#include "globals.h"
#include "dtc.h"
#include "common.h"

#define FREQUENCY_868

bool InitLoRa(void (*MPinHelper)(int, int));
void LoRa_Process();
void sendStatus_LoRa();

#endif